>From 7d1716fdf84f24a1dddfa02db27d532e06c92c3d Mon Sep 17 00:00:00 2001
From: Euler Taveira <euler@timbira.com>
Date: Sun, 26 Apr 2015 14:52:39 -0300
Subject: [PATCH 3/3] Fix some more typos.

---
 src/backend/access/transam/README.parallel | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/backend/access/transam/README.parallel b/src/backend/access/transam/README.parallel
index c066fff..2257e4c 100644
--- a/src/backend/access/transam/README.parallel
+++ b/src/backend/access/transam/README.parallel
@@ -76,7 +76,7 @@ Instead, we take a more pragmatic approach. First, we try to make as many of
 the operations that are safe outside of parallel mode work correctly in
 parallel mode as well.  Second, we try to prohibit common unsafe operations
 via suitable error checks.  These checks are intended to catch 100% of
-unsafe things that a user might do from the SQL interface, but code writen
+unsafe things that a user might do from the SQL interface, but code written
 in C can do unsafe things that won't trigger these checks.  The error checks
 are engaged via EnterParallelMode(), which should be called before creating
 a parallel context, and disarmed via ExitParallelMode(), which should be
@@ -108,7 +108,7 @@ worker.  This includes:
   - The combo CID mappings.  This is needed to ensure consistent answers to
     tuple visibility checks.  The need to synchronize this data structure is
     a major reason why we can't support writes in parallel mode: such writes
-    might create new combo CIDs, and we have now way to let other workers
+    might create new combo CIDs, and we have no way to let other workers
     (or the initiating backend) know about them.
 
   - The transaction snapshot.
@@ -178,7 +178,7 @@ pins, catcache or relcache reference counts, tuple descriptors, and so on
 are managed separately by each backend, and must free them before exiting.
 There are, however, some important differences between parallel worker
 commit or abort and a real top-level transaction commit or abort.  Most
-imporantly:
+importantly:
 
   - No commit or abort record is written; the initiating backend is
     responsible for this.
-- 
2.1.4

